## snd 7.8

=== gfm/Makefile ===
# -*- Makefile -*-

# Copyright (C) 2003--2004 Michael Scholz

# Author: Michael Scholz <scholz-micha@gmx.de>
# Created: Tue Sep 23 05:59:33 CEST 2003
# Last: Tue Oct 05 16:14:51 CEST 2004
# Ident: $Id: Makefile,v 1.9 2004/10/05 14:15:36 mike Exp $

# This file is part of GFM Gforth Music.

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.

# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA

prefix	= /usr/local
datadir	= ${prefix}/share
forthdir = ${datadir}/gforth/site-forth

SHELL	= /bin/sh
INSTALL	= install -v -c
CHMOD	= chmod u+w
CP	= cp -p
MKDIR	= mkdir
RM	= rm -frv
TAR	= tar cvfz
TARGET	= gfm.tar.gz
DISTDIR	= gfm
FLIBS	= gfm.fs utils.fs gfm-gens.fs gfm-defs.fs csndlib.fs fsndlib.fs notelist.fs clm-ins.fs
SAMPS	= sndtest.gfm bird.gfm pachelbel.gfm ricercari12.gfm cm-examp.gfm
SOURCES	= Makefile README COPYING ${SAMPS} ${FLIBS}

all:
	@echo \`make install\' to install all \*.fs files in ${forthdir}
	@echo \`make install prefix=/usr/gnu\' to install \*.fs in /usr/gnu/share/gforth/site-forth

install:
	@for f in ${FLIBS}; do ${INSTALL} $$f ${forthdir}; done

uninstall:
	@for f in ${FLIBS}; do ${RM} ${forthdir}/$$f; done

dist:
	${RM} ${DISTDIR}
	${MKDIR} ${DISTDIR}
	${CP} ${SOURCES} ${DISTDIR}/
	${CHMOD} ${DISTDIR}/*
	${TAR} ${TARGET} ${DISTDIR}
	${RM} ${DISTDIR}

# Makefile ends here

## snd 7.18

=== gfm/Makefile ===
# -*- Makefile -*-

# Copyright (C) 2003--2005 Michael Scholz

# Author: Michael Scholz <scholz-micha@gmx.de>
# Created: Tue Sep 23 05:59:33 CEST 2003
# Last: Thu Jan 13 23:37:34 CET 2005
# Ident: $Id: Makefile,v 1.20 2005/01/13 22:39:47 mike Exp $

# This file is part of GFM Gforth Music.

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.

# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA

prefix	= /usr/local
forthdir= ${prefix}/share/gforth/site-forth
gfmdir  = ${forthdir}/gfm

SHELL	= /bin/sh
INSTALL	= install -v -c
CHMOD	= chmod u+w
CP	= cp -p
RM	= rm -fr
TAR	= tar cvfz
INSTDIRS= mkinstalldirs
TARGET	= gfm.tar.gz
DISTDIR	= gfm
SPECIAL = gfm.fs utils.fs gfmpath.fs
FLIBS	= gfm-defs.fs csndlib.fs fsndlib.fs clm-ins.fs spectr.fs dlocsig.fs
SAMPS	= sndtest.gfm bird.gfm cm-examp.gfm fmviolin.gfm
SOURCES	= Makefile README COPYING ${SPECIAL} ${SAMPS} ${FLIBS} mkinstalldirs

all:
	@echo \`make install\' to install all \*.fs files in ${gfmdir}
	@echo \`make install prefix=/usr/gnu\' to install \*.fs in /usr/gnu/share/gforth/site-forth/gfm

install:
	${INSTDIRS} ${forthdir}
	${INSTDIRS} ${gfmdir}
	@echo "fpath path+ ${gfmdir}" > gfmpath.fs
	@for f in ${SPECIAL}; do ${INSTALL} $$f ${forthdir}; done
	@for f in ${FLIBS}; do ${INSTALL} $$f ${gfmdir}; done

uninstall:
	@for f in ${SPECIAL}; do ${RM} ${forthdir}/$$f; done
	${RM} ${gfmdir}

dist:
	${RM} ${DISTDIR}
	${INSTDIRS} ${DISTDIR}
	${CP} ${SOURCES} ${DISTDIR}/
	${CHMOD} ${DISTDIR}/*
	${RM} ${DISTDIR}/gfmpath.fs
	touch ${DISTDIR}/gfmpath.fs
	${TAR} ${TARGET} ${DISTDIR}
	${RM} ${DISTDIR}

# Makefile ends here

## snd 11.7

=== debian/changelog ===
snd (11.7-3) unstable; urgency=low

  * QA upload.
  * Convert to dh-autoreconf.
  * Pass -ldl in LIBS, not LDFLAGS (closes: #641442).
  * Link with -ldl in some more cases.

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 May 2013 11:38:08 +0100

snd (11.7-2) unstable; urgency=low

  * QA upload.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Jun 2012 10:01:26 +0200

snd (11.7-1) unstable; urgency=low
  
  * Team upload.

  [ Alessio Treglia ]
  * Provide a dummy transitional package to ease transition from the old
    snd-gtk to snd-gtk-{jack,pulse}.
  * Drop 01.german.diff patch, now unnecessary.
  * Add debian/gbp.conf file.
  * Switch to dpkg source 3.0 (quilt) format.
  * Add .gitignore file.
  * Refresh patches.
  * Bump Standards.
  * Imported Upstream version 11.7
    - builds fine with debian toolchain, Closes: #615776
  * Refresh patches.
  * debian/control: Move earlier-than version dependencies from Conflicts
    to Breaks field.

  [ Reinhard Tartler ]
  * Don't hardcode list of non-Linux Architectures, Closes: #634762
  * easy building with source format 3.0
  * enable parallel builds
  * Bump standards version, no changes.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 30 Aug 2011 20:46:09 +0200

snd (11.6-1) unstable; urgency=low

  * Change my email address, drop DMUA.
  * Build xg module (Closes: #584795).
  * New upstream release.
  * Add autotools_dev DH helper support.

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Jun 2010 19:31:41 +0200

snd (11.5-1) unstable; urgency=low

  * New upstream release.
  * Try to solve build failure on hurd.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 03 May 2010 17:44:57 +0200

snd (11.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 21 Mar 2010 20:29:23 +0100

snd (11.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * debian/control:
    - Adjust debhelper,quilt build-dependencies to ease the life of
      backporters.
    - Add ${misc:Depends} macro to snd-nox-alsa runtime's Depends field.
  * Refresh patches.
  * Disable 01-german.diff, the NLS support has been removed.
  * Add comment to 05-kfreebsd.diff (according to DEP-3).
  * debian/snd-nox.menu:
    - Replace snd-nox-alsa with snd-nox in package field value.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 11 Feb 2010 17:48:23 +0100

snd (11.2-2) unstable; urgency=low

  * Replace snd-nox-alsa with snd-nox, which will have ALSA support on linux
    architectures and OSS support on kfreebsd and hurd architectures.
  * Add 05-kfreebsd.diff,99-autoconf.diff patches to fix build failure on
    kfreebsd-{i386,amd64} (Closes: #566779), thanks to Petr Salinger for the
    patch.
  * Small transition snd-nox-alsa -> snd-nox:
    - Add Conflicts/Replaces on snd-nox-alsa << 11.2-2.
    - snd-nox-alsa is now a dummy transitional package.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 27 Jan 2010 14:36:30 +0100

snd (11.2-1) unstable; urgency=low

  * New upstream release.
  * Allow uploads by Debian maintainers.
  * Drop Guile support (as already done by upstream).
  * Enable multiprecision arithmetic by adding libmpc support.
  * debian/patches/04-gcc_warnings:
    - Add missing function prototypes in s7.c to avoid compiler warnings.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 08 Jan 2010 18:23:24 +0100

snd (11.1-1) unstable; urgency=low

  * New upstream release:
    - colormaps are objects now.  integer->colormap, colormap->integer.
    - transforms are also objects.  integer->transform, transform->integer.
    - play is generic now, "old-play" is the previous form.
    - removed all support for gtkglext.
    - selection function/object. selection->mix.
    - add pretty-print.scm. 
  * Remove gtkglext support.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 03 Dec 2009 12:31:17 +0100

snd (11-5) unstable; urgency=low

  * debian/{control,rules,snd-nox-alsa.*}:
    - Add snd-nox-alsa runtime package, built without any GUI support;
      this would be ideal for scripting snd (Closes: #325443).
  * debian/control: Build-depend on libasound2-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 25 Nov 2009 18:50:53 +0100

snd (11-4) unstable; urgency=low

  * Remove arch-restrictions on libpulse-dev build-dependency.
  * Split snd-gtk in snd-gtk-{pulse,jack}.
  * debian/rules: Build snd-gtk-{pulse,jack} separately.
  * Replace snd-gtk.install with snd-gtk-{pulse,jack}.install.
  * Remove debian/snd-gtk.{install,manpages}, unnecessary.
  * Remove debian/snd-gtk.menu
  * Add new menu files.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 13 Nov 2009 09:55:00 +0100

snd (11-3) unstable; urgency=low

  * debian/{control,rules}:
    - Build with JACK on i386, amd64 and powerpc architectures, build with
      PulseAudio on the other ones (Closes: #555538).
    - Drop ALSA support at all.
  * debian/control:
    - One build-dep per line allows me to make smaller patches.
  * debian/rules:
    - s/--enable-debug/--enable-snd-debug/

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 10 Nov 2009 19:10:19 +0100

snd (11-2) unstable; urgency=low

  * Add debian/snd.xpm, update debian/snd-gtk.install to install it.
  * debian/menu:
    - Set the icon field to /usr/share/pixmaps/snd.xpm, thanks to Tim Hall
      for the patch (Closes: #299369).
    - Add a short description.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 19 Oct 2009 20:52:48 +0200

snd (11-1) unstable; urgency=low

  * New maintainer (Closes: #547072).
  * New upstream release.
  * debian/{rules,control,compat}:
    - Switch to debhelper 7:
      + Bump build-dependency to >= 7.0.50 cause of the use of override
        statements.
      + Remove unnecessary files: snd-7.18.tar.gz.cdbs-config_list,
        debian/rules.precdbs
  * Drop all dependencies on snd-dmotif* packages, remove all the dmotif


=== debian/control ===
Source: snd
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 ladspa-sdk,
 xutils-dev,
 libgsl0-dev (>= 1.1.1),
 dh-autoreconf,
 autotools-dev (>= 20100122.1~),
 libfftw3-dev (>= 2.1.3),
 libgtk2.0-dev (>= 2.0.6),
 libsamplerate0-dev,
 libxmu-dev,
 libpulse-dev,
 libjack-dev [i386 amd64 powerpc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 libasound2-dev [linux-any],
 libmpc-dev (>= 0.8),
 bzip2
Standards-Version: 3.9.2
Homepage: http://ccrma.stanford.edu/software/snd/

Package: snd
Architecture: all
Depends: ${misc:Depends}
Recommends: guile, ladspa-plugin
Suggests: snd-doc
Description: Sound file editor
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the basic infrastructure for the snd packages and
 the scheme files. You have to install a GUI package as well to actually
 use snd.

Package: snd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Sound file editor (documentation)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the documentation for snd.

Package: snd-gtk-jack
Architecture: any-i386 any-amd64 any-powerpc
Provides: snd-gtk-alsa [linux-any], snd-gtk
Depends: snd (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: snd-dmotif, snd-dmotif-alsa, snd-smotif, snd-gtk-alsa,
 snd-gtk-pulse
Breaks: snd-gtk (<< 11-3)
Replaces: snd (<< 5.10), snd-dmotif, snd-dmotif-alsa, snd-smotif,
 snd-gtk-alsa, snd-gtk (<< 11-3), snd-gtk-pulse
Description: Sound file editor (GTK+ user interface - JACK)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the files for the GTK+ user interface with JACK
 support.

Package: snd-gtk-pulse
Architecture: any
Provides: snd-gtk-alsa [linux-any], snd-gtk
Depends: snd (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: snd-dmotif, snd-dmotif-alsa, snd-smotif, snd-gtk-alsa,
 snd-gtk-jack
Breaks: snd-gtk (<< 11-3)
Replaces: snd (<< 5.10), snd-dmotif, snd-dmotif-alsa, snd-smotif,
 snd-gtk-alsa, snd-gtk (<< 11-3), snd-gtk-jack
Description: Sound file editor (GTK+ user interface - PulseAudio)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the files for the GTK+ user interface with
 PulseAudio support.

Package: snd-nox
Architecture: any
Depends: snd (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Provides: snd-nox-alsa [linux-any]
Conflicts: snd-dmotif, snd-dmotif-alsa, snd-smotif, snd-gtk-alsa,
 snd-gtk-jack, snd-gtk-pulse
Breaks: snd-gtk (<< 11-3),
 snd-nox-alsa (<< 11.2-2)
Replaces: snd (<< 5.10), snd-dmotif, snd-dmotif-alsa, snd-smotif,
 snd-gtk-alsa, snd-gtk (<< 11-3), snd-gtk-jack, snd-gtk-pulse,
 snd-nox-alsa (<< 11.2-2)
Description: Sound file editor (without X support)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains a version of snd compiled without support for X.

Package: snd-nox-alsa
Architecture: all
Depends: snd-nox (>= ${source:Version}),
 ${misc:Depends}
Description: Sound file editor (dummy transitional package)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This dummy package is provided for a smooth transition from snd-nox-alsa to
 snd-nox package. It may be safely removed after installation.

Package: snd-gtk
Architecture: all
Depends: ${misc:Depends},
 snd-gtk-pulse (>= ${source:Version}) | snd-gtk-jack (>= ${source:Version})
Description: Sound file editor (dummy transitional package)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This is a dummy package and it may be safely removed after installation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    $(info Enable parallel builds with $(NUMJOBS) jobs)
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

COMMON_CONFIGURE_ARGS=--with-ladspa \
				--with-static-xg \
				--enable-snd-debug \
				--with-gmp \
				--prefix=/usr

ifeq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIGURE_ARGS=--with-alsa
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_CONFIGURE_ARGS=--with-oss
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
EXTRA_CONFIGURE_ARGS=--with-oss
endif

%:
	dh $@ --with=autoreconf

autoreconf:
	autoreconf -f -i
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub ./

override_dh_autoreconf:
	AUTOHEADER=true dh_autoreconf debian/rules -- autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -f sndlib.h
	rm -f po/Makefile po/Makefile.in po/POTFILES

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
	# First, build without GUI
	./configure $(COMMON_CONFIGURE_ARGS)    \
			$(EXTRA_CONFIGURE_ARGS) \
			--with-no-gui
	$(MAKE)
	dh_install -psnd-nox
	dh_installman -psnd-nox snd.1
	# Clean the tree
	$(MAKE) distclean

	# then, build with PulseAudio
	./configure $(COMMON_CONFIGURE_ARGS) \
			--with-gtk \
			--with-pulseaudio
	$(MAKE)
	dh_install -psnd-gtk-pulse
	dh_installman -psnd-gtk-pulse snd.1
	# Clean the tree
	$(MAKE) distclean

	# finally, build with JACK
ifneq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:i386:powerpc:amd64:))
	./configure $(COMMON_CONFIGURE_ARGS) \
			--with-gtk \
			--with-jack
	$(MAKE)
	dh_install -psnd-gtk-jack
	dh_installman -psnd-gtk-jack snd.1
	# Clean the tree
	$(MAKE) distclean
endif

override_dh_install:
	dh_install -psnd
	dh_install -psnd-doc

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.Snd

=== debian/watch ===
version=3
http://ccrma.stanford.edu/software/snd/ \
ftp://ccrma-ftp.stanford.edu/pub/Lisp/snd-(.*)\.tar\.gz

## snd 16.1

=== debian/changelog ===
snd (16.1-5) unstable; urgency=medium

  * Breaks/Replaces against actual (non-virtual) packages (Closes: #813069)
  * Fixed spelling error in debian/changelog.
  * Forwarded patches to upstream.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Feb 2016 21:30:01 +0100

snd (16.1-4) unstable; urgency=medium

  * Really fixed FTBFS on kFreeBSD/Hurd
  * Dropped unused patch 'gcc-warnings.diff'
  * Added long descriptions to patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 27 Jan 2016 11:55:06 +0100

snd (16.1-3) unstable; urgency=medium

  * Fixed FTBFS on kFreeBSD & Hurd
  * Build-Depend on libjack-dev for x32 architecture

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Jan 2016 22:57:10 +0100

snd (16.1-2) unstable; urgency=medium

  * Made snd-git-jack provide an ALSA backend (Closes: #773176)
    * Mentioned this in the package description
  * Made snd-nox use both ALSA/OSS and JACK.
    * Mentioned this in the package description
  * Made snd frontends co-installable
    * Added flavour suffix to the binaries
    * Use update-alternatives to handle 'snd'
    * Fixed conflicts to allow co-installation
  * Dropped dependencies on anything pre-old-old-stable
  * Prevent creating of unused /etc/X11 directory
  * Regenerated debian/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Jan 2016 21:31:13 +0100

snd (16.1-1) unstable; urgency=medium

  * Imported Upstream version 16.1

  [ Reinhard Tartler ]
  * Easy building with source format 3.0

  [ IOhannes m zmölnig ]
  * Adopting the package (Closes: #673203)
  * Rebuild (Closes: #810861)
  * Refreshed debian/patches
    * Patch to fix typos
  * Don't delete sndlib.h
  * Switched build-system to CDBS
    * Enable CDBS license-check
    * B-D on cdbs
  * Explicitly pass libs for building with pulse-simple
  * Upstream has removed tutorial
  * Made 'snd' Recommend one of the frontends
    * Prevent frontends from being installed in parallel
  * Updated debian/copyright to copyright-format/1.0
    * Resolved non-dfsg issue of 'dlocsig.scm'
  * Moved all shared data to 'snd' package
  * lintian-override of false-positives for typos
  * Bumped standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Jan 2016 22:25:00 +0100

snd (11.7-5) unstable; urgency=medium

  * QA upload.
  * Switch Build-Depends to unversioned libgsl-dev.  (Closes: #804500)
  * Update 06-hurd.diff to fix FTBFS on hurd, thanks to Svante Signell.
    (Closes: #801604)
  * Switch to debhelper compat level 9.
  * 01-hardening.diff: New, honor CPPFLAGS which contain hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Nov 2015 01:57:12 +0100

snd (11.7-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Drop transitional packages snd-nox-alsa and snd-gtk
    after a stable release has happened.
  * Add debian/patches/09-do-not-show-the-build-date.diff to make the
    build reproducible.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 Sep 2015 19:13:22 +0200

=== debian/control ===
Source: snd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: cdbs, debhelper (>= 9), dh-autoreconf,
 ladspa-sdk,
 xutils-dev,
 libgsl-dev,
 autotools-dev (>= 20100122.1~),
 libfftw3-dev,
 libgtk2.0-dev,
 libsamplerate0-dev,
 libxmu-dev,
 libpulse-dev,
 libjack-dev [i386 amd64 x32 powerpc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 libasound2-dev [linux-any],
 libmpc-dev,
 bzip2
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/snd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/snd.git
Homepage: http://ccrma.stanford.edu/software/snd/

Package: snd
Architecture: all
Depends: ${misc:Depends}
Recommends: guile, ladspa-plugin,
 snd-gtk-jack | snd-gtk | snd-nox
Suggests: snd-doc
Breaks: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)
Replaces: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)
Description: Sound file editor
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the basic infrastructure for the snd packages and
 the scheme files. You have to install a GUI package as well to actually
 use snd.

Package: snd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Sound file editor (documentation)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the documentation for snd.

Package: snd-gtk-jack
Architecture: any-i386 any-amd64 any-powerpc
Depends: snd (>= ${source:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides: snd-gtk-alsa [linux-any], snd-gtk
Replaces: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Breaks: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Description: Sound file editor (GTK+ user interface - JACK)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the files for the GTK+ user interface with JACK and ALSA
 support.

Package: snd-gtk-pulse
Architecture: any
Depends: snd (>= ${source:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides: snd-gtk
Replaces: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Breaks: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Description: Sound file editor (GTK+ user interface - PulseAudio)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the files for the GTK+ user interface with
 PulseAudio support.

Package: snd-nox
Architecture: any
Depends: snd (>= ${source:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides: snd-nox-alsa [linux-any]
Replaces: snd-gtk (<< 16.1-2)
Breaks: snd-gtk (<< 16.1-2)
Description: Sound file editor (cmdline)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains a version of snd compiled with both JACK and ALSA
 support, but without support for X.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for snd
#
# The authors hereby grant permission to use, copy, modify, distribute,
# and license this software and its documentation for any purpose.  No
# written agreement, license, or royalty fee is required.  Modifications
# to this software may be copyrighted by their authors and need not
# follow the licensing terms described here.
#
# IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY
# DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THIS SOFTWARE
# IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE
# NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
# MODIFICATIONS.

# needs to be declared before including makefile.mk
DEB_MAKE_FLAVORS = nox gtk-jack gtk-pulse

DEB_BUILDDIR = build

export AUTOHEADER=true

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^(pix/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_CONFIGURE_EXTRA_FLAGS = \
	--with-ladspa \
	--with-gmp \
	--prefix=/usr

## per flavor configure options
# the code includes inline-asm for atomic ops, but only for i386/amd64/powerpc
# see https://bugs.debian.org/#555538
ifneq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:i386:powerpc:amd64:))
configureflags_audio_jack  = --with-jack
else
configureflags_audio_jack  =
endif
# use ALSA on linux, and OSS non non-linux
ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
configureflags_audio_default  = --with-alsa
else
configureflags_audio_default  = --with-oss
endif

# nox (alsa/oss + jack)
DEB_CONFIGURE_EXTRA_FLAGS_nox       = --without-gui \
	$(configureflags_audio_default) $(configureflags_audio_jack)

# gtk-jack (jack + alsa[sic!]/oss)
DEB_CONFIGURE_EXTRA_FLAGS_gtk-jack  = --with-gtk \
	$(configureflags_audio_default) $(configureflags_audio_jack)

## gtk-pulse (pulseaudio)
DEB_CONFIGURE_EXTRA_FLAGS_gtk-pulse = --with-gtk --with-pulseaudio

## append any extra args for configure
DEB_CONFIGURE_EXTRA_FLAGS += $(DEB_CONFIGURE_EXTRA_FLAGS_$(cdbs_make_curflavor))

## do not embed __DATE__ (see debian/patches/reproducible.diff)
CPPFLAGS+=-DREPRODUCIBLE_BUILD=1

# upstream naively (and wrongly) assumes
# that they only need to link against "-lpulse-simple"
DEB_MAKE_EXTRA_ARGS_gtk-pulse=AUDIO_LIB="$(shell pkg-config --libs libpulse-simple)"

## append any extra args for make
DEB_MAKE_EXTRA_ARGS += $(DEB_MAKE_EXTRA_ARGS_$(cdbs_make_curflavor))

## right; everybody their own changelog filename!
DEB_INSTALL_CHANGELOGS_ALL=HISTORY.Snd


SND_MANPAGES=snd.nox.1 snd.gtk-jack.1 snd.gtk-pulse.1
$(SND_MANPAGES): snd.1
	cp $^ $@

build/snd-nox:: snd.nox.1
build/snd-gtk-jack:: snd.gtk-jack.1
build/snd-gtk-pulse:: snd.gtk-pulse.1

binary-post-install/snd-nox binary-post-install/snd-gtk-jack binary-post-install/snd-gtk-pulse::
	mv $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin/snd \
	   $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin/snd.$(patsubst snd-%,%,$(cdbs_curpkg))

clean::
	rm -f $(SND_MANPAGES)

## snd 16.5~dfsg

=== debian/changelog ===
snd (16.5~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 16.5~dfsg
  * Excluded minified-javascript from source tarball
  * Removed patches applied upstream.
  * Updated d/copyright_hints
  * Updated to standards-version 3.9.8
    * snd-doc now installs documentation into /usr/share/doc/snd/
    * Replaced .menu with .desktop entries

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 May 2016 12:56:33 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/snd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/snd.git
 Homepage: http://ccrma.stanford.edu/software/snd/

## snd 16.6

=== debian/changelog ===
snd (16.6-1) unstable; urgency=medium

  * Imported Upstream version 16.6

  * Added dversionmangle to d/watch
  * Added missing source for s7webserver/jqconsole.min.js
    * Dropped no-longer-needed Files-Excluded stanza from d/copyright
    * Added lintian override for (not) missing sources
    * Provided a way to fetch missing sources

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jun 2016 21:45:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -99,3 +99,14 @@
 
 clean::
 	rm -f $(SND_MANPAGES)
+
+
+## missing sources for s7webserver/jqconsole.min.js
+##  it seems like the minification was done with a different version of
+##  'uglifyjs', as it doesn't produce the same output (whereas the current
+##  version of jqconsole builds reproducible)
+JQCONSOLE_COMMIT=96eb6c42434d2cd30c83cc9af4e3d574cd6c39c6
+s7webserver/jqconsole.min.js: debian/missing-sources/jqconsole.coffee
+	coffee -c -p $< | uglifyjs -m -o $@
+debian/missing-sources/jqconsole.coffee:
+	wget -O $@ https://raw.githubusercontent.com/replit/jq-console/$(JQCONSOLE_COMMIT)/src/jqconsole.coffee

## snd 16.7

=== debian/changelog ===
snd (16.7-1) unstable; urgency=medium

  * Imported Upstream version 16.7

  * Ship generated upstream/changelog
    * Added postimport-hook that updates the upstream-changelog
    * Generated upstream-changelog
  * Updated copyright info

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Aug 2016 14:45:16 +0200

## snd 17

=== debian/changelog ===
snd (17-1) unstable; urgency=medium

  * New upstream version 17.
  * Patch to fix builds with unavailable macros.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 31 Oct 2016 10:52:36 +0100

snd (16.9-1) unstable; urgency=medium

  * New upstream version 16.9

  * Updated upstream-changelog
  * Removed patches applied upstream.
  * Added Multi-Arch fields

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Oct 2016 14:00:09 +0200

snd (16.8-1) unstable; urgency=medium

  * New upstream version 16.8
    * Updated upstream changelog.
  * Undefined GLib's g_abort() macro (Closes: #836537)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 09 Sep 2016 00:20:53 +0200

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 Package: snd
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: guile, ladspa-plugin,
  snd-gtk-jack | snd-gtk | snd-nox
@@ -41,6 +42,7 @@
 Package: snd-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Sound file editor (documentation)
  Snd is a powerful sound file editor that can be customized and extended using

## snd 17.0

=== debian/changelog ===
snd (17.0-1) unstable; urgency=medium

  * New upstream version 17.0
    * Updated upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Dec 2016 14:22:03 +0100

## snd 17.1

=== s7webserver/Makefile ===
CC ?= gcc
CCC ?= g++
PKG ?= pkg-config
MOC ?= moc-qt4
QMAKE ?= qmake-qt4

all: s7webserver

clean:
	rm -fr *.o mus-config.h master.tar.gz qhttpserver-master.tar.gz qhttpserver-master s7webserver moc_s7webserver.cpp

s7webserver: s7webserver.o qhttpserver-master/lib/libqhttpserver.a s7.o mus-config.h
	$(CCC) s7webserver.o `$(PKG) --libs QtNetwork` qhttpserver-master/lib/libqhttpserver.a s7.o -ldl -o s7webserver

s7webserver.o: s7webserver.h s7webserver.cpp moc_s7webserver.cpp qhttpserver-master/lib/libqhttpserver.a mus-config.h
	$(CCC) -c s7webserver.cpp `$(PKG) --cflags QtNetwork` -Iqhttpserver-master/src -I. -I.. -Wall -Werror -Wno-error=unused-variable -Wno-error=unused-function

moc_s7webserver.cpp: s7webserver.h qhttpserver-master/lib/libqhttpserver.a mus-config.h
	$(MOC) -DCOMPILING_S7WEBSERVER s7webserver.h -o moc_s7webserver.cpp

s7.o: ../s7.c ../s7.h mus-config.h
	$(CC) -c ../s7.c -I. -I..

mus-config.h:
	touch mus-config.h

qhttpserver-master/lib/libqhttpserver.a:
	rm -fr qhttpserver-master.tar.gz qhttpserver-master
	wget https://github.com/kmatheussen/qhttpserver/archive/master.tar.gz
	mv master.tar.gz qhttpserver-master.tar.gz
	tar xvzf qhttpserver-master.tar.gz
	echo "CONFIG += staticlib" >> qhttpserver-master/src/src.pro
	cd qhttpserver-master && $(QMAKE)
	cd qhttpserver-master && make

=== debian/changelog ===
snd (17.1-1) unstable; urgency=medium

  * New upstream version 17.1
    * Updated upstream-changelog
  * Fixed spelling mistakes
  * Dropped some versioned dependencies
  * Updated d/copyright(_hints)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Jan 2017 09:38:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), dh-autoreconf,
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ cdbs, debhelper, dh-autoreconf,
  ladspa-sdk,
  xutils-dev,
  libgsl-dev,
- autotools-dev (>= 20100122.1~),
+ autotools-dev,
  libfftw3-dev,
  libgtk2.0-dev,
  libsamplerate0-dev,
@@ -16,7 +18,7 @@
  libjack-dev [i386 amd64 x32 powerpc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
  libasound2-dev [linux-any],
  libmpc-dev,
- bzip2
+ bzip2,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/snd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/snd.git
@@ -27,7 +29,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: guile, ladspa-plugin,
- snd-gtk-jack | snd-gtk | snd-nox
+ snd-gtk-jack | snd-gtk | snd-nox,
 Suggests: snd-doc
 Breaks: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)
 Replaces: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)
@@ -52,8 +54,10 @@
 
 Package: snd-gtk-jack
 Architecture: any-i386 any-amd64 any-powerpc
-Depends: snd (>= ${source:Version}),
- ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ snd (>= ${source:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends},
 Provides: snd-gtk-alsa [linux-any], snd-gtk
 Replaces: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
 Breaks: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
@@ -66,8 +70,10 @@
 
 Package: snd-gtk-pulse
 Architecture: any
-Depends: snd (>= ${source:Version}),
- ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ snd (>= ${source:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends},
 Provides: snd-gtk
 Replaces: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
 Breaks: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
@@ -80,8 +86,10 @@
 
 Package: snd-nox
 Architecture: any
-Depends: snd (>= ${source:Version}),
- ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ snd (>= ${source:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends},
 Provides: snd-nox-alsa [linux-any]
 Replaces: snd-gtk (<< 16.1-2)
 Breaks: snd-gtk (<< 16.1-2)

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2014 IOhannes m zmölnig <zmoelnig@iem.at>
+# Copyright © 2014-2016 IOhannes m zmölnig <zmoelnig@iem.at>
 # Description: Main Debian packaging script for snd
 #
 # The authors hereby grant permission to use, copy, modify, distribute,
@@ -82,7 +82,7 @@
 DEB_MAKE_EXTRA_ARGS += $(DEB_MAKE_EXTRA_ARGS_$(cdbs_make_curflavor))
 
 ## right; everybody their own changelog filename!
-DEB_INSTALL_CHANGELOGS_ALL=HISTORY.Snd
+DEB_INSTALL_CHANGELOGS_ALL=debian/upstream-changelog
 
 
 SND_MANPAGES=snd.nox.1 snd.gtk-jack.1 snd.gtk-pulse.1

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~(dfsg|repack)(\.?[0-9]*)?$// \
  http://ccrma.stanford.edu/software/snd/ \
  ftp://ccrma-ftp.stanford.edu/pub/Lisp/snd-(.*)\.tar\.gz

## snd 17.4

=== debian/changelog ===
snd (17.4-1build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:16:31 +0000

snd (17.4-1) unstable; urgency=medium

  * New upstream version 17.4
    * Updated upstream-changelog
  * Refreshed patches
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 11:06:11 +0200

## snd 17.6

=== debian/changelog ===
snd (17.6-1) unstable; urgency=medium

  * New upstream version 17.6
    * Refreshed patches

  * Added lintian-override for copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 Aug 2017 20:49:35 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/snd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/snd.git
 Homepage: http://ccrma.stanford.edu/software/snd/

## snd 17.8

=== debian/changelog ===
snd (17.8-1) unstable; urgency=medium

  * New upstream version 17.8
    * Refreshed patches
  * Dropped lintian-override for d/copyright_hints
  * Use https:// in d/watch
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Oct 2017 13:28:01 +0200

snd (17.7-1) unstable; urgency=medium

  * New upstream version 17.7
    * Refreshed patches

  * Bumped standards version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Sep 2017 14:18:12 +0200

## snd 17.9

=== debian/changelog ===
snd (17.9-1) unstable; urgency=medium

  * New upstream version 17.9
    * Refreshed patches
  * Removed trailing whitespace from d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 05 Dec 2017 16:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/snd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/snd.git
 Homepage: http://ccrma.stanford.edu/software/snd/

## snd 18.0

=== debian/changelog ===
snd (18.0-1build1) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 11:11:55 +0000

snd (18.0-1) unstable; urgency=medium

  * New upstream version 18.0
   * Refreshed patches
  * Fix FTCBFS: Use the right pkg-config.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #883885)
  * Updated d/copyright(_hints)
  * Switched homepage field to https://
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 10 Jan 2018 11:56:02 +0100

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/snd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/snd.git
-Homepage: http://ccrma.stanford.edu/software/snd/
+Homepage: https://ccrma.stanford.edu/software/snd/
 
 Package: snd
 Architecture: all

## snd 18.1

=== s7webserver/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	$(CCC) s7webserver.o `$(PKG) --libs QtNetwork` qhttpserver-master/lib/libqhttpserver.a s7.o -ldl -o s7webserver
 
 s7webserver.o: s7webserver.h s7webserver.cpp moc_s7webserver.cpp qhttpserver-master/lib/libqhttpserver.a mus-config.h
-	$(CCC) -c s7webserver.cpp `$(PKG) --cflags QtNetwork` -Iqhttpserver-master/src -I. -I.. -Wall -Werror -Wno-error=unused-variable -Wno-error=unused-function
+	$(CCC) -c s7webserver.cpp `$(PKG) --cflags QtNetwork` -Iqhttpserver-master/src -DWITH_MAIN -I. -I.. -Wall -Werror -Wno-error=unused-variable -Wno-error=unused-function
 
 moc_s7webserver.cpp: s7webserver.h qhttpserver-master/lib/libqhttpserver.a mus-config.h
 	$(MOC) -DCOMPILING_S7WEBSERVER s7webserver.h -o moc_s7webserver.cpp

=== debian/changelog ===
snd (18.1-1) unstable; urgency=medium

  * New upstream version 18.1

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig ]
  * Refreshed patches
  * Added patch to use pkg-config ready for cross-building

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 23 Feb 2018 16:38:26 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
  libmpc-dev,
  bzip2,
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/snd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/snd.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
 Homepage: https://ccrma.stanford.edu/software/snd/
 
 Package: snd

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,12 @@
 
 export AUTOHEADER=true
 
+-include /usr/share/dpkg/buildtools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/utils.mk
+PKG_CONFIG ?= pkg-config
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
 	^(pix/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -76,7 +78,7 @@
 
 # upstream naively (and wrongly) assumes
 # that they only need to link against "-lpulse-simple"
-DEB_MAKE_EXTRA_ARGS_gtk-pulse=AUDIO_LIB="$(shell pkg-config --libs libpulse-simple)"
+DEB_MAKE_EXTRA_ARGS_gtk-pulse=AUDIO_LIB="$(shell $(PKG_CONFIG) --libs libpulse-simple)"
 
 ## append any extra args for make
 DEB_MAKE_EXTRA_ARGS += $(DEB_MAKE_EXTRA_ARGS_$(cdbs_make_curflavor))

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~(dfsg|repack)(\.?[0-9]*)?$// \
  https://ccrma.stanford.edu/software/snd/ \
  ftp://ccrma-ftp.stanford.edu/pub/Lisp/snd-(.*)\.tar\.gz

## snd 18.2

=== debian/changelog ===
snd (18.2-1) unstable; urgency=medium

  * New upstream version 18.2
    * Refreshed patches
  * Updated maintainer email address

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Mar 2018 21:27:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: snd
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:

## snd 18.4

=== debian/changelog ===
snd (18.4-1) unstable; urgency=medium

  * New upstream version 18.4
  * Refreshed patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 03 Jun 2018 22:18:07 +0200

snd (18.3-1) unstable; urgency=medium

  * New upstream version 18.3
  * Refreshed patches
  * More spelling fixes
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 01 May 2018 21:10:10 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
 Homepage: https://ccrma.stanford.edu/software/snd/

## snd 18.5

=== debian/changelog ===
snd (18.5-1) unstable; urgency=medium

  * New upstream version 18.5
    * Refreshed patches
    * Updated upstream changelog
  * Switched to GTK3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Jul 2018 12:46:23 +0200

## snd 18.6

=== debian/changelog ===
snd (18.6-1) unstable; urgency=medium

  * New upstream version 18.6
    * Regenerate upstream changelog
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Aug 2018 15:43:33 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libgsl-dev,
  autotools-dev,
  libfftw3-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libsamplerate0-dev,
  libxmu-dev,
  libpulse-dev,

## snd 18.7

=== debian/changelog ===
snd (18.7-1) unstable; urgency=medium

  * New upstream version 18.7
    * Regenerated upstream changelog
    * Refreshed patches
  * More spelling fixes
  * Updated d/copyright_hints
  * d/rules don't require root for building
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Sep 2018 14:13:01 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
 Homepage: https://ccrma.stanford.edu/software/snd/

## snd 18.8

=== debian/changelog ===
snd (18.8-1) unstable; urgency=medium

  * New upstream version 18.8

  * Updated upstream changelog
    * Converted upstream changelog to UTF-8
  * Automatically convert to UTF-8 when generating upstream changelog
  * Refreshed patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Oct 2018 11:53:06 +0200

## snd 19

=== debian/changelog ===
snd (19-1) unstable; urgency=medium

  * New upstream version 19
    * Updated upstream changelog
    * Refreshed patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Nov 2018 10:12:32 +0100

## snd 19.0

=== debian/changelog ===
snd (19.0-1) unstable; urgency=medium

  * New upstream version 19.0
    * Updated upstream changelog
    * Refreshed patches
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Jan 2019 20:48:50 +0100

## snd 19.1

=== debian/changelog ===
snd (19.1-1) unstable; urgency=medium

  * New upstream version 19.1
    * Refresh patches
    * Update upstream changelog
  * Update d/copyright(_hints)
  * Switch URLs in d/copyright to https://

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 10 Feb 2019 22:15:39 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

## snd 19.5

=== debian/changelog ===
snd (19.5-1) unstable; urgency=medium

  * New upstream version 19.5
    * Update upstream changelog
  * Refresh patches
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 10
  * Bump standards-version to 4.4.0
    * No changes required (but we still use CDBS for packaging)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jul 2019 09:58:56 +0200

## snd 19.6

=== debian/changelog ===
snd (19.6-1) unstable; urgency=medium

  * New upstream version 19.6
    * Update upstream changelog
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Aug 2019 21:21:35 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

## snd 19.8

=== debian/changelog ===
snd (19.8-1) unstable; urgency=medium

  * New upstream version 19.8
    * Update upstream changelog
    * Refresh patches
    * Drop backported patches
  * Versioned B-D on debhelper
  * Bump standards version to 4.4.1
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 18 Oct 2019 13:41:15 +0200

snd (19.7-1~exp1) experimental; urgency=medium

  * New upstream version 19.7
    * Update upstream changelog
    * Refresh patches
  * Backport patch to prevent FTBFS
    * Upload to experimental to check how sane the backported patch is.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Sep 2019 14:34:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- cdbs, debhelper, dh-autoreconf,
+ cdbs, debhelper (>= 10),
  ladspa-sdk,
  xutils-dev,
  libgsl-dev,
- autotools-dev,
  libfftw3-dev,
  libgtk-3-dev,
  libsamplerate0-dev,
@@ -19,7 +18,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

## snd 19.9

=== debian/changelog ===
snd (19.9-1) unstable; urgency=medium

  * New upstream version 19.9
    * Refresh patches
  * Update d/watch to use https:// rather than ftp://

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 07 Dec 2019 20:54:07 +0100
